
%% Bandpass Simulation Definition
clear;
close all;
clc;



% Load parameters
param = 1; 
Parameters = bandpassParameters(param);

%% Compute Initial Conditions
%Simulations until they reach stable steady state with no Acetaldehyde input. For the further
%simulations these values are taken as initial conditions...

InitialState = [0;     0;   0;   0;    0;    0;  0;  0;    0  ];
             % [TetR0,CI0,LacI0,GFP0,LuxI0,AHLi0,AHLe0,R0,RFP0];
EquilibrationTspan = [0 5000]; % Time in Minutes

AA = 0;
[T, States] = ode15s(@bandpassODEExtended, EquilibrationTspan, InitialState, [], Parameters, AA);
% figure;
% plot(T, States,'LineWidth',1);
% xlabel('time [min]');
% ylabel('concentration [microMolar]');
% legend('TetR','CI','LacI','GFP','LuxI','AHLi','AHLe','R','RFP');
InitialState = States(end, :);

 %% parameter sweeps
 tspan = [0 5000];
 param = [0:0.1:100];
 AA = [0:0.5:200];
 
 Z = sweep( param, AA, tspan, InitialState );
hSurf = surf(param,AA,Z,'EdgeColor','none','LineStyle','none','FaceLighting','phong', 'FaceColor', 'interp', 'EdgeLighting', 'phong', 'EdgeColor', 'interp'); 
colormap(jet(32000))
xlabel('CI production rate [uM/min]');
ylabel('Acetaldehyde [uM]');
zlabel('GFP [uM]');










