%#codegen
function GFPconc = sweep( param, AA, tspan, InitialState )
 
    mexcfg = coder.config('mex');
    mexcfg.DynamicMemoryAllocation = 'AllVariableSizeArrays';
    codegen bandpassODEExtended -args {1, InitialState', Parameters, 1} -config mexcfg
    codegen bandpassParameters -args {1} -config mexcfg


     GFPconc = zeros(length(AA),length(param));
     for i = 1:length(param) %parameter
         i
         parfor j = 1:length(AA) %acetaldehyde
             P = bandpassParameters_mex(param(i));
             TetRconc = P.alphaTetR/((1+(AA(j)/P.betaAcA)^P.n5)*P.gammaTetR);
             CIconc = P.alphaC/((1+(TetRconc/P.betaT)^P.n3)*P.gammaC);
             LacIconc = (P.alphaL1+P.alphaL1*(TetRconc/P.betaT)^P.n3+P.alphaL2+P.alphaL2*(CIconc/P.betaC)^P.n2)/((1+(CIconc/P.betaC)^P.n2)*(1+(TetRconc/P.betaT)^P.n3)*P.gammaL);
             GFPconc(j,i) = P.alphaG/((1+(LacIconc/P.betaL)^P.n1)*P.gammaG);
         end
     end


end
